## org.eclipse.datatools.modelbase.sql.datatypes
Class LinkControlOption

    java.lang.Object
      AbstractEnumerator
          org.eclipse.datatools.modelbase.sql.datatypes.LinkControlOption

public final class LinkControlOption
extends AbstractEnumerator

A representation of the literals of the enumeration 'Link Control Option', and utility methods for working with them.

See Also:
  `SQLDataTypesPackage.getLinkControlOption()`, Serialized Form

Field Summary
`static int` `FILE_LINK_CONTROL` The 'FILE LINK CONTROL' literal value.
`static LinkControlOption` `FILE_LINK_CONTROL_LITERAL` The 'FILE LINK CONTROL' literal object.
`static int` `NO_FILE_LINK_CONTROL` The 'NO FILE LINK CONTROL' literal value.
`static LinkControlOption` `NO_FILE_LINK_CONTROL_LITERAL` The 'NO FILE LINK CONTROL' literal object.
`static java.util.List` `VALUES` A public read-only list of all the 'Link Control Option' enumerators.

Method Summary
`static LinkControlOption` `get(int value)` Returns the 'Link Control Option' literal with the specified value.
`static LinkControlOption` `get(java.lang.String name)` Returns the 'Link Control Option' literal with the specified name.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FILE_LINK_CONTROL

    public static final int FILE_LINK_CONTROL

  The 'FILE LINK CONTROL' literal value.

  See Also:
    `FILE_LINK_CONTROL_LITERAL`, Constant Field Values

### NO_FILE_LINK_CONTROL

    public static final int NO_FILE_LINK_CONTROL

  The 'NO FILE LINK CONTROL' literal value.

  See Also:
    `NO_FILE_LINK_CONTROL_LITERAL`, Constant Field Values

### FILE_LINK_CONTROL_LITERAL

    public static final LinkControlOption FILE_LINK_CONTROL_LITERAL

  The 'FILE LINK CONTROL' literal object.

  If the meaning of 'FILE LINK CONTROL' literal object isn't clear, there really should be more of a description here...

  See Also:
    `FILE_LINK_CONTROL`

### NO_FILE_LINK_CONTROL_LITERAL

    public static final LinkControlOption NO_FILE_LINK_CONTROL_LITERAL

  The 'NO FILE LINK CONTROL' literal object.

  If the meaning of 'NO FILE LINK CONTROL' literal object isn't clear, there really should be more of a description here...

  See Also:
    `NO_FILE_LINK_CONTROL`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Link Control Option' enumerators.

Method Detail

### get

    public static LinkControlOption get(java.lang.String name)

  Returns the 'Link Control Option' literal with the specified name.

### get

    public static LinkControlOption get(int value)

  Returns the 'Link Control Option' literal with the specified value.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.